Debian Bug report logs - #578492
ipmitool: Make it Architecture: any

version graph

Package: ipmitool; Maintainer for ipmitool is Matthew Johnson <mjj29@debian.org>; Source for ipmitool is src:ipmitool.

Reported by: Xavier Poinsard <xpoinsard@openpricer.com>

Date: Tue, 20 Apr 2010 09:33:02 UTC

Severity: wishlist

Found in version ipmitool/1.8.9-2

Fixed in version ipmitool/1.8.11-3

Done: Luk Claes <luk@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Matthew Johnson <mjj29@debian.org>:
Bug#578492; Package ipmitool. (Tue, 20 Apr 2010 09:33:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Xavier Poinsard <xpoinsard@openpricer.com>:
New Bug report received and forwarded. Copy sent to Matthew Johnson <mjj29@debian.org>. (Tue, 20 Apr 2010 09:33:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Xavier Poinsard <xpoinsard@openpricer.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ipmitool: Add sparc to supported archs
Date: Tue, 20 Apr 2010 11:24:26 +0200
Package: ipmitool
Version: 1.8.9-2
Severity: wishlist


Please add sparc to the supported archs.
The package build without any problem and allows me (for example) to remotely manage another server like mentionned in http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=405455
Thanks in advance,
Regards.

-- System Information:
Debian Release: 5.0.4
  APT prefers stable
  APT policy: (500, 'stable')
Architecture: sparc (sparc64)

Kernel: Linux 2.6.26-2-sparc64
Locale: LANG=fr_FR.UTF-8, LC_CTYPE=fr_FR.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages ipmitool depends on:
ii  libc6                   2.7-18lenny2     GNU C Library: Shared libraries
ii  libncurses5             5.7+20081213-1   shared libraries for terminal hand
ii  libreadline5            5.2-3.1          GNU readline and history libraries
ii  libssl0.9.8             0.9.8g-15+lenny6 SSL shared libraries
ii  lsb-base                3.2-20           Linux Standard Base 3.2 init scrip

ipmitool recommends no packages.

Versions of packages ipmitool suggests:
ii  openipmi                      2.0.14-1   Intelligent Platform Management In

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Matthew Johnson <mjj29@debian.org>:
Bug#578492; Package ipmitool. (Thu, 11 Aug 2011 23:12:37 GMT) Full text and rfc822 format available.

Acknowledgement sent to Samuel Thibault <sthibault@debian.org>:
Extra info received and forwarded to list. Copy sent to Matthew Johnson <mjj29@debian.org>. (Thu, 11 Aug 2011 23:12:37 GMT) Full text and rfc822 format available.

Message #10 received at 578492@bugs.debian.org (full text, mbox):

From: Samuel Thibault <sthibault@debian.org>
To: Xavier Poinsard <xpoinsard@openpricer.com>, 578492@bugs.debian.org
Subject: Re: Bug#578492: ipmitool: Add sparc to supported archs
Date: Fri, 12 Aug 2011 00:52:50 +0200
retitle 578492 ipmitool: Make it Architecture: any
thanks

Hello,

Xavier Poinsard, le Tue 20 Apr 2010 11:24:26 +0200, a écrit :
> Please add sparc to the supported archs.
> The package build without any problem and allows me (for example) to remotely manage another server like mentionned in http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=405455

Actually, the client part is useful on any architecture and os, so no
architecture restriction should be used, please drop them.

Also, ipmitool already has support for kfreebsd, and it indeed builds
there too.

Samuel




Information forwarded to debian-bugs-dist@lists.debian.org, Matthew Johnson <mjj29@debian.org>:
Bug#578492; Package ipmitool. (Thu, 11 Aug 2011 23:12:39 GMT) Full text and rfc822 format available.

Acknowledgement sent to Samuel Thibault <sthibault@debian.org>:
Extra info received and forwarded to list. Copy sent to Matthew Johnson <mjj29@debian.org>. (Thu, 11 Aug 2011 23:12:39 GMT) Full text and rfc822 format available.

Message #15 received at 578492@bugs.debian.org (full text, mbox):

From: Samuel Thibault <sthibault@debian.org>
To: Xavier Poinsard <xpoinsard@openpricer.com>, 578492@bugs.debian.org
Subject: Re: Bug#578492: ipmitool: Add sparc to supported archs
Date: Fri, 12 Aug 2011 01:01:01 +0200
For the kfreebsd kernel interface support, the dependency on the kernel
headers should be added:

kfreebsd-headers-8-amd64 [kfreebsd-amd64] | kfreebsd-headers-8-i386 [kfreebsd-i386]




Changed Bug title to 'ipmitool: Make it Architecture: any' from 'ipmitool: Add sparc to supported archs' Request was from Samuel Thibault <sthibault@debian.org> to control@bugs.debian.org. (Fri, 12 Aug 2011 00:03:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Matthew Johnson <mjj29@debian.org>:
Bug#578492; Package ipmitool. (Fri, 12 Aug 2011 00:15:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Samuel Thibault <sthibault@debian.org>:
Extra info received and forwarded to list. Copy sent to Matthew Johnson <mjj29@debian.org>. (Fri, 12 Aug 2011 00:15:06 GMT) Full text and rfc822 format available.

Message #22 received at 578492@bugs.debian.org (full text, mbox):

From: Samuel Thibault <sthibault@debian.org>
To: 578492@bugs.debian.org
Subject: Re: Bug#578492: ipmitool: Add sparc to supported archs
Date: Fri, 12 Aug 2011 02:10:13 +0200
block 578492 by 637489
thanks

Samuel Thibault, le Fri 12 Aug 2011 01:01:01 +0200, a écrit :
> For the kfreebsd kernel interface support, the dependency on the kernel
> headers should be added:
> 
> kfreebsd-headers-8-amd64 [kfreebsd-amd64] | kfreebsd-headers-8-i386 [kfreebsd-i386]

Actually that was for squeeze. Wheezy will only have the
kfreebsd-kernel-headers package, which currently does not have
sys/ipmi.h, but I have requested it: #637489.

It will then be

kfreebsd-kernel-headesr [kfreebsd-any]

Samuel




Added blocking bug(s) of 578492: 637489 Request was from Samuel Thibault <sthibault@debian.org> to control@bugs.debian.org. (Fri, 12 Aug 2011 00:15:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Matthew Johnson <mjj29@debian.org>:
Bug#578492; Package ipmitool. (Fri, 12 Aug 2011 10:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and forwarded to list. Copy sent to Matthew Johnson <mjj29@debian.org>. (Fri, 12 Aug 2011 10:27:07 GMT) Full text and rfc822 format available.

Message #29 received at 578492@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: 578492@bugs.debian.org, Samuel Thibault <sthibault@debian.org>
Subject: kfreebsd-kernel-headers is build-essential
Date: Fri, 12 Aug 2011 12:24:11 +0200
Hi,

> kfreebsd-kernel-headesr [kfreebsd-any]

You don't need to build-depend on this package for kfreebsd-any, it is
build-essential there.

-- 
Robert Millan




Reply sent to Luk Claes <luk@debian.org>:
You have taken responsibility. (Tue, 20 Sep 2011 05:51:05 GMT) Full text and rfc822 format available.

Notification sent to Xavier Poinsard <xpoinsard@openpricer.com>:
Bug acknowledged by developer. (Tue, 20 Sep 2011 05:51:05 GMT) Full text and rfc822 format available.

Message #34 received at 578492-close@bugs.debian.org (full text, mbox):

From: Luk Claes <luk@debian.org>
To: 578492-close@bugs.debian.org
Subject: Bug#578492: fixed in ipmitool 1.8.11-3
Date: Tue, 20 Sep 2011 05:47:10 +0000
Source: ipmitool
Source-Version: 1.8.11-3

We believe that the bug you reported is fixed in the latest version of
ipmitool, which is due to be installed in the Debian FTP archive:

ipmitool_1.8.11-3.diff.gz
  to main/i/ipmitool/ipmitool_1.8.11-3.diff.gz
ipmitool_1.8.11-3.dsc
  to main/i/ipmitool/ipmitool_1.8.11-3.dsc
ipmitool_1.8.11-3_i386.deb
  to main/i/ipmitool/ipmitool_1.8.11-3_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 578492@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Luk Claes <luk@debian.org> (supplier of updated ipmitool package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 19 Sep 2011 19:35:04 +0200
Source: ipmitool
Binary: ipmitool
Architecture: source i386
Version: 1.8.11-3
Distribution: unstable
Urgency: high
Maintainer: Matthew Johnson <mjj29@debian.org>
Changed-By: Luk Claes <luk@debian.org>
Description: 
 ipmitool   - utility for IPMI control with kernel driver or LAN interface
Closes: 578492 637423
Changes: 
 ipmitool (1.8.11-3) unstable; urgency=high
 .
   * debian/control:
     - Add myself as co-maintainer.
     - Add Vcs entries.
     - Update Architecture to any as ipmitool can be used for
       remote devices (Closes: #578492).
   * Only approach rsp->data when rsp is set (Closes: #637423).
Checksums-Sha1: 
 f43fa23544c32fcf9cf3a8d2da2803681716bffa 1184 ipmitool_1.8.11-3.dsc
 452c4c36ff7bdceba66e2bdd6313ce9f2028f382 7776 ipmitool_1.8.11-3.diff.gz
 b086fe3c944682ee559ac6b34651e23ccb176ed1 395494 ipmitool_1.8.11-3_i386.deb
Checksums-Sha256: 
 8821c8f942d5a7a2ad35eaaa61e49c6a84081d60bd2d69771138c2bafad1146e 1184 ipmitool_1.8.11-3.dsc
 fe648f4c8b0175e365a3c193ae737799ae48e0d4d35ac956178f9ddea1a957a7 7776 ipmitool_1.8.11-3.diff.gz
 c75a22299942a29c4a568076f375f7b31cd7f3e617f797951038cd12bcce067f 395494 ipmitool_1.8.11-3_i386.deb
Files: 
 051358dbd596ff18c9e8381c9147cebe 1184 utils optional ipmitool_1.8.11-3.dsc
 b63ff2ac6095a7ce531ad976c5268c7b 7776 utils optional ipmitool_1.8.11-3.diff.gz
 1f12165695cd96758754a145efcf8051 395494 utils optional ipmitool_1.8.11-3_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iEYEARECAAYFAk54JjYACgkQ5UTeB5t8Mo2NGgCfU1fLaA4uSwUFlSdROOeUq9aN
0fQAn1yWdRxi/XQJ/wokqpCorQjhJBBm
=B1WN
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 20 Oct 2011 07:36:13 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 13:04:07 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.